package com.sunxung.factoring.entity.purchcontractmanagement.vo;

import com.sunxung.factoring.entity.customerinformation.Customer;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.purchcontractmanagement.*;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.User;
import com.sunxung.factoring.entity.tradingPlatform.Platform;

import java.util.List;

/**
 * @Description : 采购合同法务审核合同页面vo类
 * @Author : JiaYf
 * @Date: 2021-09-18 16:33
 */
public class PurchContractApprovalVo {

    /** 合同基本信息 **/
    private PurchContractBasicInfo purchContractBasicInfo;

    /** 合同补充信息 **/
    private PurchContractReplenishInfo purchContractReplenishInfo;

    /** 质量与验收 **/
    private PurchContractQualityAccept purchContractQualityAccept;

    /** 结算与付款 **/
    private PurchContractApprovalSettlePayment approvalSettlePayment;

    /** 交货规定 **/
    private PurchContractDeliverClause purchContractDeliverClause;

    /** 结算周期（结算） **/
    private PurchContractApprovalSettleCycle approvalSettleCycle;

    /** 需方收货人 **/
    private List<User> userList;

    /** 增值税要求 **/
    private PurchContractApprovalVatInfo approvalVatInfo;

    /** 合同违约条款 **/
//    private PurchContractPunishClause purchContractPunishClause;

    /** 其他条款 **/
    private List<PurchContractOtherClause> purchContractOtherClause;

    /** 审批结论 **/
    private PurchContractApproval purchContractApproval;

    /**
     * 贸易平台信息
     */
    private Platform platform;

    /**
     * 供应商信息
     */
    private Enterprise supplier;

    /**
     * 待线上签署合同附件id
     */
    private FileStorage signFile;

    /**
     * 查看合同
     */
    private Boolean makeContract;

    private Long businessKey;

    private String taskId;

    /**
     * 是否提交  0 不提交 1 提交
     */
    private Integer visible;

    public Boolean getMakeContract() {
        return makeContract;
    }

    public void setMakeContract(Boolean makeContract) {
        this.makeContract = makeContract;
    }

    public Enterprise getSupplier() {
        return supplier;
    }

    public void setSupplier(Enterprise supplier) {
        this.supplier = supplier;
    }

    public FileStorage getSignFile() {
        return signFile;
    }

    public void setSignFile(FileStorage signFile) {
        this.signFile = signFile;
    }

    public Platform getPlatform() {
        return platform;
    }

    public void setPlatform(Platform platform) {
        this.platform = platform;
    }

    public PurchContractBasicInfo getPurchContractBasicInfo() {
        return purchContractBasicInfo;
    }

    public void setPurchContractBasicInfo(PurchContractBasicInfo purchContractBasicInfo) {
        this.purchContractBasicInfo = purchContractBasicInfo;
    }

    public PurchContractReplenishInfo getPurchContractReplenishInfo() {
        return purchContractReplenishInfo;
    }

    public void setPurchContractReplenishInfo(PurchContractReplenishInfo purchContractReplenishInfo) {
        this.purchContractReplenishInfo = purchContractReplenishInfo;
    }


    public PurchContractQualityAccept getPurchContractQualityAccept() {
        return purchContractQualityAccept;
    }

    public void setPurchContractQualityAccept(PurchContractQualityAccept purchContractQualityAccept) {
        this.purchContractQualityAccept = purchContractQualityAccept;
    }


    public PurchContractDeliverClause getPurchContractDeliverClause() {
        return purchContractDeliverClause;
    }

    public void setPurchContractDeliverClause(PurchContractDeliverClause purchContractDeliverClause) {
        this.purchContractDeliverClause = purchContractDeliverClause;
    }

//    public PurchContractPunishClause getPurchContractPunishClause() {
//        return purchContractPunishClause;
//    }
//
//    public void setPurchContractPunishClause(PurchContractPunishClause purchContractPunishClause) {
//        this.purchContractPunishClause = purchContractPunishClause;
//    }

    public List<PurchContractOtherClause> getPurchContractOtherClause() {
        return purchContractOtherClause;
    }

    public void setPurchContractOtherClause(List<PurchContractOtherClause> purchContractOtherClause) {
        this.purchContractOtherClause = purchContractOtherClause;
    }

    public PurchContractApproval getPurchContractApproval() {
        return purchContractApproval;
    }

    public void setPurchContractApproval(PurchContractApproval purchContractApproval) {
        this.purchContractApproval = purchContractApproval;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public PurchContractApprovalSettlePayment getApprovalSettlePayment() {
        return approvalSettlePayment;
    }

    public void setApprovalSettlePayment(PurchContractApprovalSettlePayment approvalSettlePayment) {
        this.approvalSettlePayment = approvalSettlePayment;
    }

    public PurchContractApprovalSettleCycle getApprovalSettleCycle() {
        return approvalSettleCycle;
    }

    public void setApprovalSettleCycle(PurchContractApprovalSettleCycle approvalSettleCycle) {
        this.approvalSettleCycle = approvalSettleCycle;
    }

    public List<User> getUserList() {
        return userList;
    }

    public void setUserList(List<User> userList) {
        this.userList = userList;
    }

    public PurchContractApprovalVatInfo getApprovalVatInfo() {
        return approvalVatInfo;
    }

    public void setApprovalVatInfo(PurchContractApprovalVatInfo approvalVatInfo) {
        this.approvalVatInfo = approvalVatInfo;
    }

    public Integer getVisible() {
        return visible;
    }

    public void setVisible(Integer visible) {
        this.visible = visible;
    }
}
